OSTREE ADMIN OS-INI(1)

NAME
ostree-admin-os-init - Initialize empty state for a given operating system

SYNOPSIS

ostree admin os-init {STATEROOT}

DESCRIPTION

Initializes an new stateroot (AKA "osname") for an operating system. Ensures that the core subdirectories of /var (/tmp, /lib, /run, and /lock) exist and initialize the given STATEROOT as OSTree stateroot. Each deployment location is comprised of a single shared var and a set of deployments (chroots).

EXAMPLE

$ ostree admin os-init exampleos

            ostree/deploy/exampleos initialized as OSTree root